package com.nokia.dingtalk_api.pojos.dto.cms;

import com.nokia.dingtalk_api.annotation.ValidCron;
import com.nokia.dingtalk_api.annotation.ValidRegex;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

@Data
public class AddAppTaskDto {
    @Schema(description = "应用编码")
    @NotBlank
    private String appId;
    @Schema(description = "任务名称")
    @NotBlank
    private String taskName;
    @Schema(description = "任务描述")
    private String description;
    @Schema(description = "cron表达式")
    @NotBlank
    @ValidCron
    private String cron;
    @Schema(description = "机器人编码")
    @NotBlank
    private String robotCode;
    @Schema(description = "会话类型：1：单聊，2：群聊")
    @Min(value = 1)
    @Max(value = 2)
    @NotNull
    private Integer conversationType;
    @Schema(description = "群id")
    private String openConversationId;
    @Schema(description = "接收机器人消息的用户的手机号列表")
    private String phones;
    @Schema(description = "接收机器人消息的用户的userId列表")
    private String userIds;
    @Schema(description = "sftp id")
    @NotBlank
    private String sftpId;
    @Schema(description = "数据文件夹")
    @NotBlank
    private String dataDir;
    @Schema(description = "文件名匹配正则表达式")
    @ValidRegex
    @NotBlank
    private String filePattern;
}
