package com.nokia.dingtalk_api.pojos.vo.cms;

import com.nokia.dingtalk_api.pojos.bo.AppTaskBo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class ListAppTaskVo {
    @Schema(description = "应用编码")
    private String appId;
    @Schema(description = "应用名称")
    private String appName;
    @Schema(description = "任务id")
    private String taskId;
    @Schema(description = "任务名称")
    private String taskName;
    @Schema(description = "任务描述")
    private String description;
    @Schema(description = "任务状态，0已停止1运行中2已删除")
    private Integer status;
    @Schema(description = "cron表达式")
    private String cron;
    @Schema(description = "机器人编码")
    private String robotCode;
    @Schema(description = "机器人名称")
    private String robotName;
    @Schema(description = "会话类型：1：单聊，2：群聊")
    private Integer conversationType;
    @Schema(description = "群id")
    private String openConversationId;
    @Schema(description = "接收机器人消息的用户的手机号列表")
    private String phones;
    @Schema(description = "接收机器人消息的用户的userId列表")
    private String userIds;
    @Schema(description = "sftp id")
    private String sftpId;
    @Schema(description = "主机")
    private String host;
    @Schema(description = "数据文件夹")
    private String dataDir;
    @Schema(description = "文件名匹配正则表达式")
    private String filePattern;
    @Schema(description = "创建时间")
    private LocalDateTime createTime;
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;

    public ListAppTaskVo(AppTaskBo bo) {
        this.appId = bo.getAppId();
        this.appName = bo.getAppName();
        this.taskId = bo.getTaskId();
        this.taskName = bo.getTaskName();
        this.description = bo.getDescription();
        this.status = bo.getStatus();
        this.cron = bo.getCron();
        this.robotCode = bo.getRobotCode();
        this.robotName = bo.getRobotName();
        this.conversationType = bo.getConversationType();
        this.openConversationId = bo.getOpenConversationId();
        this.phones = bo.getPhones();
        this.userIds = bo.getUserIds();
        this.sftpId = bo.getSftpId();
        this.host = bo.getHost();
        this.dataDir = bo.getDataDir();
        this.filePattern = bo.getFilePattern();
        this.createTime = bo.getCreateTime();
        this.updateTime = bo.getUpdateTime();
    }
}
